{% load socialaccount %}

{% get_providers as socialaccount_providers %}

{% for provider in socialaccount_providers %}
    {% if provider.id == "openid" %}
        {% for brand in provider.get_brands %}
        <li class="list-group-item list-group-item-action">
        <a title="{{brand.name}}"
            class="dropdown-menu {{provider.id}} {{brand.id}}"
            href="{% provider_login_url provider.id openid=brand.openid_url process=process %}"
            >{{brand.name}}</a>
        </li>
        {% endfor %}
    {% endif %}
    <li class="list-group-item list-group-item-action">
        <a title="{{provider.name}}" class="{{provider.id}}"
            href="{% provider_login_url provider.id process=process scope=scope auth_params=auth_params %}">{{provider.name}}</a>
    </li>

{% endfor %}
